# Uses of Interface
org.opensaml.saml.saml2.metadata.SurName

Packages that use SurName
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of SurName in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return SurName
Modifier and Type
Method
Description
`SurName`
ContactPerson.`getSurName()`
Gets the surname for this person.
Methods in org.opensaml.saml.saml2.metadata with parameters of type SurName
Modifier and Type
Method
Description
`void`
ContactPerson.`setSurName(SurName name)`
Sets the surname for this person.

## Uses of SurName in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement SurName
Modifier and Type
Class
Description
`class`
`SurNameImpl`
Concrete implementation of `SurName`.
Fields in org.opensaml.saml.saml2.metadata.impl declared as SurName
Modifier and Type
Field
Description
`private SurName`
ContactPersonImpl.`surName`
SurName child object.
Methods in org.opensaml.saml.saml2.metadata.impl that return SurName
Modifier and Type
Method
Description
`SurName`
SurNameBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`SurName`
SurNameBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`SurName`
ContactPersonImpl.`getSurName()`
Gets the surname for this person.
Methods in org.opensaml.saml.saml2.metadata.impl with parameters of type SurName
Modifier and Type
Method
Description
`void`
ContactPersonImpl.`setSurName(SurName name)`
Sets the surname for this person.